Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055062
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] POStrivialhave not tried2024-03-27 08:432024-04-12 10:57
ReporterjayalaView Statuspublic 
Assigned Tojayala 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

DescriptionAll info at: https://openbravo.atlassian.net/browse/RM-12758 [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0053218 closedjustin_patterson Openbravo CRM connector should allow to create and update BPs 
related to feature request 0055033 closedjayala User Action to Create Customer should receive default values 

-  Notes
(0162804)
hgbot (developer)
2024-04-03 11:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/688 [^]
(0162936)
hgbot (developer)
2024-04-08 21:03

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/131 [^]
(0162997)
jayala (developer)
2024-04-09 16:00

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1179 [^]
(0162998)
jayala (developer)
2024-04-09 16:00

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/2522 [^]
(0163019)
hgbot (developer)
2024-04-10 10:20

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/1448 [^]
(0163134)
hgbot (developer)
2024-04-12 10:56

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 6f0fc8b020fb520b98ddeb1446f7a34d7811849d
Author: Javier Ayala <javier.ayala@openbravo.com>
Date: 12-04-2024 10:54:04
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/6f0fc8b020fb520b98ddeb1446f7a34d7811849d [^]

Fixed ISSUE-55062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/ScanFilterPriorityModuleScript.class
A src-util/modulescript/src/org/openbravo/modulescript/ScanFilterPriorityModuleScript.java
M src-db/database/model/tables/C_EXTBP_CONFIG_FILTER.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src/org/openbravo/event/ExternalBusinessPartnerConfigFilterEventHandler.java
---
(0163137)
hgbot (developer)
2024-04-12 10:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: e61c76373465794905327c0252ee393c1afaa0ff
Author: Javier Ayala <javier.ayala@openbravo.com>
Date: 12-04-2024 10:55:26
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/e61c76373465794905327c0252ee393c1afaa0ff [^]

Related to ISSUE-55062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

---
---
(0163138)
hgbot (developer)
2024-04-12 10:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: aeea3e1d4237468b80ea83b800cb11bd34ce3149
Author: Javier Ayala <javier.ayala@openbravo.com>
Date: 12-04-2024 08:57:25
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/aeea3e1d4237468b80ea83b800cb11bd34ce3149 [^]

Related to ISSUE-55062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

---
A web-jspack/org.openbravo.core2/src/core/scan/device/IdCardScannerDevice.js
M web-jspack/org.openbravo.core2/src/core/scan/registerScanningDevicesAndHandlers.js
M web-jspack/org.openbravo.core2/src/index.jsx
---
(0163139)
hgbot (developer)
2024-04-12 10:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/688 [^]
(0163140)
hgbot (developer)
2024-04-12 10:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/1448 [^]
(0163141)
hgbot (developer)
2024-04-12 10:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 3d0e6cd315c2ff52afcedf1d24c55f219ebcc611
Author: Javier Ayala <javier.ayala@openbravo.com>
Date: 12-04-2024 08:57:28
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/3d0e6cd315c2ff52afcedf1d24c55f219ebcc611 [^]

Related to ISSUE-55062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

---
M web-test/integration/external-business-partner/CRMConfigurationHelper.test.js
M web/org.openbravo.mobile.core/app/integration/external-business-partner/CRMConfigurationHelper.js
---
(0163142)
hgbot (developer)
2024-04-12 10:57

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: 08686971538afc89d6d21fd90a7856b9577b97c9
Author: Javier Ayala <javier.ayala@openbravo.com>
Date: 12-04-2024 08:57:33
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/08686971538afc89d6d21fd90a7856b9577b97c9 [^]

Related to ISSUE-55062: Add ability to launch customer creation form (with defaults) when a filter used for scan does not have results

---
M referencedata/sampledata/The_White_Valley_Group/C_EXTBP_CONFIG_FILTER.xml
---
(0163143)
hgbot (developer)
2024-04-12 10:57

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/131 [^]

- Issue History
Date Modified Username Field Change
2024-03-27 08:43 jayala New Issue
2024-03-27 08:43 jayala Assigned To => Retail
2024-03-27 08:43 jayala Triggers an Emergency Pack => No
2024-03-27 08:43 jayala Assigned To Retail => jayala
2024-04-03 11:10 hgbot Note Added: 0162803
2024-04-03 11:11 hgbot Note Added: 0162804
2024-04-03 11:42 hgbot Note Added: 0162805
2024-04-08 21:03 hgbot Note Added: 0162936
2024-04-09 15:58 jayala Relationship added related to 0053218
2024-04-09 15:58 jayala Relationship added related to 0055033
2024-04-09 15:59 jayala Note Deleted: 0162803
2024-04-09 15:59 jayala Note Deleted: 0162805
2024-04-09 16:00 jayala Note Added: 0162997
2024-04-09 16:00 jayala Note Added: 0162998
2024-04-09 16:00 jayala Status new => scheduled
2024-04-10 10:20 hgbot Note Added: 0163019
2024-04-12 10:56 hgbot Resolution open => fixed
2024-04-12 10:56 hgbot Status scheduled => closed
2024-04-12 10:56 hgbot Fixed in Version => PR24Q3
2024-04-12 10:56 hgbot Note Added: 0163134
2024-04-12 10:57 hgbot Note Added: 0163137
2024-04-12 10:57 hgbot Note Added: 0163138
2024-04-12 10:57 hgbot Note Added: 0163139
2024-04-12 10:57 hgbot Note Added: 0163140
2024-04-12 10:57 hgbot Note Added: 0163141
2024-04-12 10:57 hgbot Note Added: 0163142
2024-04-12 10:57 hgbot Note Added: 0163143


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker